# AODataSegmentGetReduced

Gets the unique list of segment values, by removing duplicates.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentGetReduced(AOData aodata,const char name[],const char segment[],PetscInt n,PetscInt *keys,IS *is)

Collective on AOData and IS

### Input Parameters

| aodata | - the database
| name | - the name of the key
| segment | - the name of the segment
| n | - the number of data items needed by this processor
| keys | - the keys provided by this processor

### Output Parameters

is -the indices retrieved

### Example

                          keys    ->      0  1  2  3  4   5  6  7
          if the segment contains ->      1  2  1  3  1   4  2  0
       and you request keys 0 1 2 5 7 it will return 1 2 4 0

### Keywords

database transactions

### See Also

AODataCreateBasic(), AODataDestroy(), AODataKeyAdd(), AODataSegmentRestore(),
AODataSegmentGetIS(), AODataSegmentRestoreIS(), AODataSegmentAdd(), AODataKeyGetInfo(), AODataSegmentGetInfo(), AODataSegmentAdd()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages